# -*- coding: utf-8 -*-
# Generated by Django 1.10.2 on 2016-11-08 10:00
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('commonmodels', '0005_reservations'),
    ]

    operations = [
        migrations.CreateModel(
            name='CustomerPoints',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('use_date', models.DateTimeField()),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(choices=[(0, 'ACTIVE'), (1, 'DELETED')], default=0)),
            ],
            options={
                'db_table': 'customer_points',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CustomerPrizes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('use_date', models.DateTimeField()),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(choices=[(0, 'ACTIVE'), (1, 'DELETED')], default=0)),
            ],
            options={
                'db_table': 'customer_prizes',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Prizes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('request_point', models.IntegerField()),
                ('title', models.CharField(max_length=200)),
                ('title_cn', models.CharField(max_length=200)),
                ('content', models.CharField(max_length=500)),
                ('content_cn', models.CharField(max_length=500)),
                ('condition', models.CharField(max_length=500)),
                ('condition_cn', models.CharField(max_length=500)),
                ('from_date', models.DateTimeField()),
                ('to_date', models.DateTimeField()),
                ('start_time', models.TimeField(blank=True, null=True)),
                ('end_time', models.TimeField(blank=True, null=True)),
                ('week_days', models.CharField(blank=True, max_length=50, null=True)),
                ('image_path', models.CharField(blank=True, max_length=500, null=True)),
                ('is_mail_notify', models.IntegerField(default=1)),
                ('is_sms_notify', models.IntegerField(default=1)),
                ('is_app_notify', models.IntegerField(default=1)),
                ('is_already_send', models.IntegerField(default=0)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(choices=[(0, 'ACTIVE'), (1, 'DELETED')], default=0)),
            ],
            options={
                'db_table': 'prizes',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='RestaurantPoints',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=30, unique=True)),
                ('issue_date', models.DateTimeField()),
                ('point', models.IntegerField()),
                ('qr_code', models.CharField(max_length=50)),
                ('comment', models.CharField(blank=True, max_length=500, null=True)),
                ('comment_cn', models.CharField(blank=True, max_length=500, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(choices=[(0, 'ACTIVE'), (1, 'DELETED')], default=0)),
            ],
            options={
                'db_table': 'restaurant_points',
                'managed': False,
            },
        ),
    ]
